summaryrefslogtreecommitdiffstats
path: root/bin/live-build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-01-01 22:05:14 +0100
committerHolger Levsen <holger@layer-acht.org>2015-01-01 22:05:14 +0100
commit54f6333eda581b3847977b168cd062f40fe2fe14 (patch)
tree23dd2976787711a6a119d0a87f4e824d1eedb9b0 /bin/live-build.sh
parente81201a31fa1912eeaf956272ed7aed54e15a91e (diff)
downloadjenkins.debian.net-54f6333eda581b3847977b168cd062f40fe2fe14.tar.xz
build debian-edu jessie live images
Diffstat (limited to 'bin/live-build.sh')
-rwxr-xr-xbin/live-build.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/bin/live-build.sh b/bin/live-build.sh
new file mode 100755
index 00000000..5a7f62e2
--- /dev/null
+++ b/bin/live-build.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Copyright 2014-2015 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+cleanup_all() {
+ rm -r $TMPDIR
+}
+
+TMPDIR=$(mktemp --tmpdir=/srv/workspace -d)
+trap cleanup_all INT TERM EXIT
+
+cd $TMPDIR
+# build an debian-edu .iso for now...
+# $1 is debian-edu
+# $2 is standalone...
+# FIXME: do debian images too
+lb config --distribution jessie --bootappend-live "boot=live config hostname=debian-edu username=debian-edu"
+echo education-standalone > config/package-lists/live.list.chroot
+# FIXME add serial console
+lb build
+ls -la *.iso || true
+cp *.iso /srv/workspace
+# FIXME: use subdir there... (shared with downloaded .isos?)
+
+cleanup_all
+trap - INT TERM EXIT
+